Name:             gpm
Version:          1.20.7
Release:          21
Summary:          The gpm package contains a mouse server for the console and xterm
License:          GPLv2 and GPLv2+ with exceptions and GPLv3+ and Verbatim and Copyright only
URL:              https://www.nico.schottelius.org/software/gpm/
Source:           https://www.nico.schottelius.org/software/gpm/archives/%{name}-%{version}.tar.gz
Source1:          gpm.service

Patch1:           gpm-1.20.1-weak-wgetch.patch
Patch2:           gpm-1.20.6-missing-header-dir-in-make-depend.patch
Patch3:           gpm-format-security.patch
Patch4:           gpm-1.20.7-sysmacros.patch
Patch5:           gpm-1.20.7-sigemptyset.patch

Patch6000:        fix-highly-illegal-return-of-int-as-char-and-less-wo.patch
Patch6001:        fix-signedness-issue.patch

Requires(post):   systemd systemd-sysv info
Requires(preun):  systemd info
Requires(postun): systemd
Requires:         linuxconsoletools
BuildRequires:    autoconf automake bison gawk libtool libcap-ng-devel ncurses-devel sed systemd texinfo gdb
Requires:         %{name}-libs = %{version}-%{release}

%description
GPM(General Purpose Mouse) is a mouse serer for the console and xterm, with
sample clients included like emacs.

%package          libs
Summary:          Library for the gpm

%description libs
This package contains the library which contains
the gpm system calls and library functions.

%package          devel
Requires:         %{name} = %{version}-%{release}
Requires:         %{name}-libs = %{version}-%{release}
Summary:          Development files for the gpm library
Provides:         gpm-static
Obsoletes:        gpm-static

%description      devel
The gpm-devel package includes header files and libraries necessary
for  the gpm library.

%package_help

%prep
%setup -q
./autogen.sh
%patch1 -p1 -b .weak-wgetch
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%patch6000 -p1
%patch6001 -p1

%build
%configure
%make_build

%install
%make_install

chmod 0755 %{buildroot}/%{_libdir}/libgpm.so.2.1.0
ln -sf libgpm.so.2.1.0 %{buildroot}/%{_libdir}/libgpm.so

cp conf/gpm-* %{buildroot}%{_sysconfdir}
chmod 644 %{buildroot}%{_sysconfdir}/gpm-*
mkdir -p %{buildroot}%{_unitdir}
cp %{SOURCE1} %{buildroot}%{_unitdir}
chmod 644 %{buildroot}%{_unitdir}/gpm.service

%post
%systemd_post gpm.service
if [ -e %{_infodir}/gpm.info.gz ]; then
  /sbin/install-info %{_infodir}/gpm.info.gz %{_infodir}/dir || :
fi

%preun
%systemd_preun gpm.service
if [ $1 = 0 -a -e %{_infodir}/gpm.info.gz ]; then
  /sbin/install-info %{_infodir}/gpm.info.gz --delete %{_infodir}/dir || :
fi

%postun
%systemd_postun_with_restart gpm.servic

%ldconfig_post
%ldconfig_postun

%files
%doc COPYING
%{_infodir}/*
%config(noreplace) %{_sysconfdir}/gpm-*
%exclude %{_datadir}/emacs/site-lisp/*
%{_unitdir}/gpm.service
%{_sbindir}/*
%{_bindir}/*

%files libs
%{_libdir}/libgpm.so.*

%files devel
%{_includedir}/*
%{_libdir}/libgpm.so
%{_libdir}/libgpm.a

%files help
%doc README TODO doc/README* doc/FAQ doc/Announce doc/changelog
%{_mandir}/man?/*

%changelog
* Thu Mar 19 2020 songnannan <songnannan2@huawei.com> - 1.20.7-21
- add gdb in buildrequires

* Wed Jan 8 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.20.7-20
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: optimization the spec

* Tue Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.20.7-19
- Type:NA
- Id:NA
- SUG:NA
- DESC:update tarball

* Thu Oct 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.20.7-18
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add original patch

* Fri Sep 20 2019 Yiru Wang <wangyiru1@huawei.com> - 1.20.7-17
- Pakcage init
